
Foreman - Bug #109

Foreman doesn't identity new OS builds.

12/04/2009 05:45 PM - Telmo X

Status: Closed   

Priority: Normal   

Assignee: Telmo X   

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When building a server with an external kickstart (Opsware) server and installing puppet Foreman lists the Operatingsystem as

RedHat 5.3 as the server build even though the server is 5.4 and clicking in "Inventory" you can see that facter reports 5.4

Name        Operatingsystem

Linuxautolab-bg-a013d        RedHat 5.3

operatingsystemrelease       5.4

lsbdistdescription       Red Hat Enterprise Linux Server release 5.4 (Ti...

lsbdistrelease       5.4

lsbdistcodename       Tikanga

operatingsystem       RedHat

lsbmajdistrelease       5

lsbdistid     RedHatEnterpriseServer

History

#1 - 12/05/2009 11:11 AM - Ohad Levy

- Status changed from New to Feedback

are you using storeconfigs?

if you are, puppet is actually the one pushing the facts to the database, and the operating system fields are not managed by puppet, in order to work

around it, you would need to run the rake task puppet:migrate:populate_hosts to update the fields.

#2 - 12/05/2009 11:12 AM - Ohad Levy

- Assignee set to Telmo X

#3 - 12/14/2009 12:25 PM - Ohad Levy

- Status changed from Feedback to Closed
